Bug 488963 - Review Request: transifex - A system for distributed translation submissions
Review Request: transifex - A system for distributed translation submissions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 488099 488101 488103 488106 488107 488108
Blocks: 488151
  Show dependency treegraph
 
Reported: 2009-03-06 10:21 EST by Ignacio Vazquez-Abrams
Modified: 2009-03-23 01:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 01:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2009-03-06 10:21:13 EST
Spec URL: http://ivazquez.fedorapeople.org/packages/transifex/transifex.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/transifex/transifex-0.5-0.0.hg43f8e9924fa2.src.rpm
Description: Transifex is a web-system that facilitates the process of submitting
translations in remote and disparate version control systems (VCS).
Comment 1 Parag AN(पराग) 2009-03-09 01:12:06 EDT
rpmlint is not happy on transifex noarch rpm
74 errors, 26 warnings.
I don't want to print all those here. Can you remove hidden directories .svn and .git?
Comment 4 Parag AN(पराग) 2009-03-10 04:00:36 EDT
+ is ok
- needs work
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1234065
+ rpmlint is silent for SRPM 
- rpmlint is NOT silent for noarch RPM.
transifex.noarch: E: explicit-lib-dependency python-polib
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.
==> can be ignored.
transifex.noarch: W: spurious-bracket-in-%post
The %post scriptlet contains an "if []" construct without a space before the
"]".
==>fix this before cvs import

+ source files cannot be verified as this is mercurial checkout snapshot.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.

Suggestions:
1) from build.log I see syntax error 
+ /usr/lib/rpm/brp-python-bytecompile
Compiling /builddir/build/BUILDROOT/transifex-0.5-0.2.fc11.hg9f575f26d1db.noarch/usr/share/transifex/repowatch/update.py ...
SyntaxError: ('invalid syntax', ('/usr/share/transifex/repowatch/update.py', 60, 44, '                key=operator.itemgetter(0)):\n'))

This is not happening on F10 python-2.5. Can this be fixed either before cvs import or after importing package?

2)Not sure whether WARNING in build.log really need to be fixed. If you see it needs then please fix that also.

3)unable to install package as django-evolution is not built for F10/F11
  

Also,
     What is for %post is used? Good if you comment in SPEC for what purpose you want %post lines?
Comment 5 Ignacio Vazquez-Abrams 2009-03-10 12:45:52 EDT
(In reply to comment #4)
> transifex.noarch: W: spurious-bracket-in-%post
> The %post scriptlet contains an "if []" construct without a space before the
> "]".
> ==>fix this before cvs import

This error is bogus since I don't even *use* test in %post.

> 1) from build.log I see syntax error 
> + /usr/lib/rpm/brp-python-bytecompile
> Compiling
> /builddir/build/BUILDROOT/transifex-0.5-0.2.fc11.hg9f575f26d1db.noarch/usr/share/transifex/repowatch/update.py
> ...
> SyntaxError: ('invalid syntax', ('/usr/share/transifex/repowatch/update.py',
> 60, 44, '                key=operator.itemgetter(0)):\n'))
> 
> This is not happening on F10 python-2.5. Can this be fixed either before cvs
> import or after importing package?

I'll fix after import since this functionality isn't even complete upstream.

Updated.
http://ivazquez.fedorapeople.org/packages/transifex/transifex.spec
http://ivazquez.fedorapeople.org/packages/transifex/transifex-0.5-0.3.rc1.hg8a39f3e6146c.src.rpm
Comment 7 Parag AN(पराग) 2009-03-10 22:51:53 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1235990
+ rpmlint output for SRPM and for RPM.
transifex.noarch: W: spurious-bracket-in-%post
==> Can be ignored
+ source files cannot be verified as no upstream source URL
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.

Suggestions:
1) Fix issues remaining in comment #5
2) post script gave
grep: /etc/transifex/transifex/00-default.conf: No such file or directory
fix this also.
APPROVED.
Comment 8 Ignacio Vazquez-Abrams 2009-03-11 10:33:54 EDT
New Package CVS Request
=======================
Package Name: transifex
Short Description: A system for distributed translation submissions
Owners: ivazquez
Branches: F-9 F-10 EL-5
InitialCC: i18n-team
Comment 9 Kevin Fenzi 2009-03-12 22:51:31 EDT
cvs done.
Comment 10 Parag AN(पराग) 2009-03-23 00:55:39 EDT
If this package is built for all requested branches then can we have this review closed now?

Note You need to log in before you can comment on or make changes to this bug.